package com.ruoyi.learn.dto;

import java.io.Serializable;

/**
 * 学习记录统计结果DTO
 *
 * @author ruoyi
 */
public class StudyRecordStatisticsDTO implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 学校ID */
    private Long deptId;

    /** 学校ID */
    private Long schoolId;
    /** 学校ID */
    private Long teacherId;
    /** 班级ID */
    private Long classId;

    /** 校区ID */
    private Long campusId;

    /** 校区班级ID */
    private Long campusClassId;

    /** 代理商ID */
    private Long agentId;

    /** 末级代理商ID */
    private Long leafAgentId;

    /** 学生昵称 */
    private String nickName;

    /** 卡号 */
    private String cardNo;

    /** 学习时间开始 */
    private String studyTimeBegin;

    /** 学习时间结束 */
    private String studyTimeEnd;

    /** 学生ID */
    private Long studentId;

    /** 做题总数 */
    private Integer num;

    /** 正确数 */
    private Integer correct;

    /** 正确率 */
    private Double rate;
    /** 试卷正确率 **/
    private Double paperRate;

    /** 试卷数量 */
    private Integer paperCount;

    /** 视频观看标题总数 */
    private Integer videoTotalTitles;

    /** 视频观看时长（秒） */
    private Long videoDurationValue;

    /** 注册学校名称 */
    private String schoolName;

    /** 学校班级名称 */
    private String schoolClassName;

    /** 培训校区名称 */
    private String campusName;

    /** 校区班级名称 */
    private String campusClassName;

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Double getPaperRate() {
        return paperRate;
    }

    public void setPaperRate(Double paperRate) {
        this.paperRate = paperRate;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }

    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Long getClassId()
    {
        return classId;
    }

    public void setClassId(Long classId)
    {
        this.classId = classId;
    }

    public Long getCampusId()
    {
        return campusId;
    }

    public void setCampusId(Long campusId)
    {
        this.campusId = campusId;
    }

    public Long getCampusClassId()
    {
        return campusClassId;
    }

    public void setCampusClassId(Long campusClassId)
    {
        this.campusClassId = campusClassId;
    }

    public Long getAgentId()
    {
        return agentId;
    }

    public void setAgentId(Long agentId)
    {
        this.agentId = agentId;
    }

    public Long getLeafAgentId()
    {
        return leafAgentId;
    }

    public void setLeafAgentId(Long leafAgentId)
    {
        this.leafAgentId = leafAgentId;
    }

    public String getNickName()
    {
        return nickName;
    }

    public void setNickName(String nickName)
    {
        this.nickName = nickName;
    }

    public String getCardNo()
    {
        return cardNo;
    }

    public void setCardNo(String cardNo)
    {
        this.cardNo = cardNo;
    }

    public String getStudyTimeBegin() {
        return studyTimeBegin;
    }

    public void setStudyTimeBegin(String studyTimeBegin) {
        this.studyTimeBegin = studyTimeBegin;
    }

    public String getStudyTimeEnd() {
        return studyTimeEnd;
    }

    public void setStudyTimeEnd(String studyTimeEnd) {
        this.studyTimeEnd = studyTimeEnd;
    }

    public Long getStudentId()
    {
        return studentId;
    }

    public void setStudentId(Long studentId)
    {
        this.studentId = studentId;
    }

    public Integer getNum()
    {
        return num;
    }

    public void setNum(Integer num)
    {
        this.num = num;
    }

    public Integer getCorrect()
    {
        return correct;
    }

    public void setCorrect(Integer correct)
    {
        this.correct = correct;
    }

    public Double getRate()
    {
        return rate;
    }

    public void setRate(Double rate)
    {
        this.rate = rate;
    }

    public Integer getPaperCount()
    {
        return paperCount;
    }

    public void setPaperCount(Integer paperCount)
    {
        this.paperCount = paperCount;
    }

    public Integer getVideoTotalTitles()
    {
        return videoTotalTitles;
    }

    public void setVideoTotalTitles(Integer videoTotalTitles)
    {
        this.videoTotalTitles = videoTotalTitles;
    }

    public Long getVideoDurationValue()
    {
        return videoDurationValue;
    }

    public void setVideoDurationValue(Long videoDurationValue)
    {
        this.videoDurationValue = videoDurationValue;
    }

    public String getSchoolName()
    {
        return schoolName;
    }

    public void setSchoolName(String schoolName)
    {
        this.schoolName = schoolName;
    }

    public String getSchoolClassName()
    {
        return schoolClassName;
    }

    public void setSchoolClassName(String schoolClassName)
    {
        this.schoolClassName = schoolClassName;
    }

    public String getCampusName()
    {
        return campusName;
    }

    public void setCampusName(String campusName)
    {
        this.campusName = campusName;
    }

    public String getCampusClassName()
    {
        return campusClassName;
    }

    public void setCampusClassName(String campusClassName)
    {
        this.campusClassName = campusClassName;
    }

    @Override
    public String toString()
    {
        return "StudyRecordStatisticsDTO{" +
                "schoolId=" + schoolId +
                ", classId=" + classId +
                ", campusId=" + campusId +
                ", campusClassId=" + campusClassId +
                ", agentId=" + agentId +
                ", leafAgentId=" + leafAgentId +
                ", nickName='" + nickName + '\'' +
                ", cardNo='" + cardNo + '\'' +
                ", studentId=" + studentId +
                ", num=" + num +
                ", correct=" + correct +
                ", rate=" + rate +
                ", paperCount=" + paperCount +
                ", videoTotalTitles=" + videoTotalTitles +
                ", videoDurationValue=" + videoDurationValue +
                ", schoolName='" + schoolName + '\'' +
                ", schoolClassName='" + schoolClassName + '\'' +
                ", campusName='" + campusName + '\'' +
                ", campusClassName='" + campusClassName + '\'' +
                '}';
    }
}


